@font-face {
    font-family: 'Noto Sans';
    font-style: normal;
    font-weight: 400;
    font-stretch: 100%;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/notosans/v38/o-0mIpQlx3QUlC5A4PNB6Ryti20_6n1iPHjcz6L1SoM-jCpoiyD9A-9a6VI.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Noto Emoji';
    font-style: normal;
    font-weight: 400;
    src: url(https://fonts.gstatic.com/s/notoemoji/v53/bMrnmSyK7YY-MEu6aWjPDs-ar6uWaGWuob-r0jwqI-xEIF50anKtsFA.4.woff2) format('woff2');
    unicode-range: u+1f3a7;
}

:root {
    --bg-color: #fff8f6;
    --text-color: #7a412a;
    --a-color: #676016;
    --container-bg: #f9ebe7;
    --hover-color: rgba(122, 65, 42, 0.08);
    --divider: #d9c2bb;
}

@media (prefers-color-scheme: dark) {
    :root {
        --bg-color: #181210;
        --text-color: #ffb599;
        --a-color: #ad4a2e;
        --container-bg: #251e1c;
        --hover-color: rgba(255, 181, 153, 0.08);
        --nowplaying-text: #252100;
        --divider: #53433f;
    }
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
    height: 100vh;
    min-width: 200px;
    background-color: var(--bg-color);
    font-family: 'Noto Sans', 'Noto Emoji';
    color: var(--text-color);
    opacity: 0;
    transition: opacity 1.5s ease-in-out;
}

body.loaded {
    opacity: 1;
}

#container {
    text-align: center;
    margin: auto;
    padding: 20px;
    width: 50%;
    border-radius: 12px;
    background: var(--container-bg);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

#profileImage {
    width: 150px;
    height: 150px;
    border-radius: 100%;
}

#imageCredits {
    font-size: 0.6rem;
    margin-bottom: 20px;
}

#imageCredits a {
    color: var(--a-color);
    text-decoration: none;
}

h1 {
    font-size: 2rem;
    margin: 10px 0;
}

.description {
    font-size: 1rem;
    margin-bottom: 20px;
}

#links {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-bottom: 20px;
}

.icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border-radius: 100%;
    transition: all 0.3s ease;
}

.icon:hover {
    background-color: var(--hover-color);
}

.iconSvg {
    width: 24px;
    height: 24px;
    fill: var(--text-color);
}

#divider {
    margin: 20px 0;
    border: 0;
    height: 1px;
    background: var(--divider);
}

#nowplaying {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0 auto;
    padding: 20px;
    width: fit-content;
    max-width: 400px;
    border-radius: 12px;
    background-color: #b7ad5c;
    color: #252100;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

#nowplaying a {
    color: #252100;
    text-decoration: none;
}

#artworkContainer {
    margin-right: 10px;
    max-height: 120px;
}

#artwork {
    width: 120px;
    height: 120px;
    border-radius: 8px;
}

#info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: left;
    flex: 1;
    margin-right: 10px;
}

#services {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#services .iconSvg {
    fill: #252100;
}

#services .icon:hover {
    background-color: rgba(25, 21, 0, 0.08);
}

@media (max-width: 768px) {
    #container {
        width: 75%;
    }

    #nowplaying {
        flex-direction: column;
        align-items: center;
    }

    #artworkContainer {
        margin-right: 0;
        margin-bottom: 5px;
    }

    #info {
        text-align: center;
        margin-right: 0px;
        margin-bottom: 5px;
    }

    #services {
        flex-direction: row;
        gap: 20px;
    }
}
